Bug 165154 - Will crash when selecting More
Summary: Will crash when selecting More
Status: RESOLVED FIXED
Alias: None
Product: klipper
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Esben Mose Hansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-27 23:58 UTC by Pascal d'Hermilly
Modified: 2008-07-20 07:41 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
snapshot before chrashing (44.63 KB, image/png)
2008-06-28 00:00 UTC, Pascal d'Hermilly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2008-06-27 23:58:35 UTC
Version:            (using KDE 4.0.83)
Installed from:    Ubuntu Packages
OS:                Linux

When there are a lot of entries in klippers cache(?) it starts to act funny. when searching for stuff. A lot of "More" entries comes up. when I select them, klipper chrashes

I have set 2000 entries in klipper because I love the way I'm able to go back in history.
Comment 1 Pascal d'Hermilly 2008-06-28 00:00:55 UTC
Created attachment 25659 [details]
snapshot before chrashing
Comment 2 A. Spehr 2008-06-28 00:59:56 UTC
http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Can you get a backtrace? You'll have to install debug symbols. Thanks!
Comment 3 Pascal d'Hermilly 2008-06-28 01:29:57 UTC
Actually, it doesn't get caught by kcrash. It just dies. I tried starting from konsole and got the following line when it died:
ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 393
Comment 4 Bram Schoenmakers 2008-06-28 16:57:57 UTC
Confirmed.

#0  0xb7f5c410 in __kernel_vsyscall ()
#1  0x4cb07191 in raise () from /lib/libc.so.6
#2  0x4cb08978 in abort () from /lib/libc.so.6
#3  0xb7aba1b5 in qt_message_output (msgType=QtFatalMsg, buf=0xbf848f90 "ASSERT failure in QList<T>::at: \"index out of range\", file /mnt/win_d/bram/kde4/include/QtCore/qlist.h, line 393") at /home/bram/KDE/qt-copy/src/corelib/global/qglobal.cpp:2058
#4  0xb7aba219 in qFatal (msg=0xb7c2e618 "ASSERT failure in %s: \"%s\", file %s, line %d") at /home/bram/KDE/qt-copy/src/corelib/global/qglobal.cpp:2260
#5  0xb7aba25e in qt_assert_x (where=0xb7f5855f "QList<T>::at", what=0xb7f5854c "index out of range", file=0xb7f58520 "/mnt/win_d/bram/kde4/include/QtCore/qlist.h", line=0x189) at /home/bram/KDE/qt-copy/src/corelib/global/qglobal.cpp:1836
#6  0xb7f53232 in QList<QAction*>::at (this=0xbf84b050, i=0x0) at /mnt/win_d/bram/kde4/include/QtCore/qlist.h:393
#7  0xb7f53c2e in PopupProxy::tryInsertItem (this=0x80c8730, item=0x8121b90, remainingHeight=@0xbf84b09c, index=0x0) at /home/bram/KDE/kdebase/workspace/klipper/popupproxy.cpp:108
#8  0xb7f53df3 in PopupProxy::insertFromSpill (this=0x80c8730, index=0x1) at /home/bram/KDE/kdebase/workspace/klipper/popupproxy.cpp:149
#9  0xb7f53f79 in PopupProxy::slotAboutToShow (this=0x80c8730) at /home/bram/KDE/kdebase/workspace/klipper/popupproxy.cpp:84
#10 0xb7f53fe4 in PopupProxy::qt_metacall (this=0x80c8730, _c=QMetaObject::InvokeMetaMethod, _id=0x0, _a=0xbf84b174) at /home/bram/KDE/BUILD/kdebase/workspace/klipper/popupproxy.moc:67
#11 0xb7be5213 in QMetaObject::activate (sender=0x817a740, from_signal_index=0x1b, to_signal_index=0x1b, argv=0x0) at /home/bram/KDE/qt-copy/src/corelib/kernel/qobject.cpp:3010
#12 0xb7be578d in QMetaObject::activate (sender=0x817a740, m=0xb78af4c8, local_signal_index=0x0, argv=0x0) at /home/bram/KDE/qt-copy/src/corelib/kernel/qobject.cpp:3080
#13 0xb7451e01 in QMenu::aboutToShow (this=0x817a740) at .moc/debug-shared/moc_qmenu.cpp:143
#14 0xb7457855 in QMenu::popup (this=0x817a740, p=@0xbf84b3f4, atAction=0x0) at /home/bram/KDE/qt-copy/src/gui/widgets/qmenu.cpp:1726
#15 0xb74590eb in QMenu::internalDelayedPopup (this=0x8123d00) at /home/bram/KDE/qt-copy/src/gui/widgets/qmenu.cpp:2838
#16 0xb745afa3 in QMenu::timerEvent (this=0x8123d00, e=0xbf84bc44) at /home/bram/KDE/qt-copy/src/gui/widgets/qmenu.cpp:2687
#17 0xb7be42f2 in QObject::event (this=0x8123d00, e=0xbf84bc44) at /home/bram/KDE/qt-copy/src/corelib/kernel/qobject.cpp:1105
#18 0xb703cef5 in QWidget::event (this=0x8123d00, event=0xbf84bc44) at /home/bram/KDE/qt-copy/src/gui/kernel/qwidget.cpp:7310
#19 0xb74594e3 in QMenu::event (this=0x8123d00, e=0xbf84bc44) at /home/bram/KDE/qt-copy/src/gui/widgets/qmenu.cpp:2256
#20 0xb6fd2175 in QApplicationPrivate::notify_helper (this=0x805a2a0, receiver=0x8123d00, e=0xbf84bc44) at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication.cpp:3772
#21 0xb6fd3fcf in QApplication::notify (this=0xbf84bed4, receiver=0x8123d00, e=0xbf84bc44) at /home/bram/KDE/qt-copy/src/gui/kernel/qapplication.cpp:3739
#22 0xb6ca4872 in KApplication::notify (this=0xbf84bed4, receiver=0x8123d00, event=0xbf84bc44) at /home/bram/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#23 0xb7bce991 in QCoreApplication::notifyInternal (this=0xbf84bed4, receiver=0x8123d00, event=0xbf84bc44) at /home/bram/KDE/qt-copy/src/corelib/kernel/qcoreapplication.cpp:587
#24 0xb7bd2e1d in QCoreApplication::sendEvent (receiver=0x8123d00, event=0xbf84bc44) at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:215
#25 0xb7c05feb in QTimerInfoList::activateTimers (this=0x805ce04) at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:563
#26 0xb7c02fe6 in timerSourceDispatch (source=0x805cdd0) at /home/bram/KDE/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:166
#27 0x4e264ccd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0x4e267ee3 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0x0805c240 in ?? ()
#30 0x00000000 in ?? ()
Comment 5 Sebastian Sauer 2008-07-20 07:41:59 UTC
fixed in trunk with r835199 and in the 4.1-branch with r835200.
see also bug #155196

that the top-level "More" menuitem jumps after clicking an item from the bottom-position to a position in the middle (or to be more exact all items displayed after it are not corrected cleared within the top-level menu) is another issue and not a regression of the commit above ;)

Thanks for the feedback!